SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Macros | Functions
SocketLayer.cpp File Reference

SocketLayer class implementation. More...

`#include "slikenet/SocketLayer.h"`
`#include "slikenet/assert.h"`
`#include "slikenet/types.h"`
`#include "slikenet/peer.h"`
`#include "slikenet/GetTime.h"`
`#include "slikenet/LinuxStrings.h"`
`#include "slikenet/SocketDefines.h"`
`#include "slikenet/linux_adapter.h"`
`#include "slikenet/osx_adapter.h"`
`#include "slikenet/CCRakNetUDT.h"`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <arpa/inet.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <ifaddrs.h>`
`#include <netinet/in.h>`
`#include <net/if.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <sys/ioctl.h>`
`#include "slikenet/sleep.h"`
`#include "slikenet/Itoa.h"`

Go to the source code of this file.

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | _T(x) (x)

## Functions

void | SLNet::ProcessNetworkPacket (const SystemAddress systemAddress, const char *data, const int length, RakPeer *rakPeer, SLNet::TimeUS timeRead)
void | GetMyIP_Win32 (SystemAddress addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS])

## Detailed Description

SocketLayer class implementation.

Definition in file SocketLayer.cpp.

## Macro Definition Documentation

#define _T | ( |  | x | ) | (x)

Definition at line 38 of file SocketLayer.cpp.

Referenced by GetMyIP_Win32(), SLNet::SocketLayer::GetSystemAddress(), SLNet::SocketLayer::GetSystemAddress_Old(), and SLNet::SocketLayer::SetSocketOptions().

## Function Documentation

void GetMyIP_Win32 | ( | SystemAddress | addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS] | ) |

Definition at line 376 of file SocketLayer.cpp.

References _T, MAXIMUM_NUMBER_OF_INTERNAL_IDS, RAKNET_DEBUG_TPRINTF, return, and SLNet::UNASSIGNED_SYSTEM_ADDRESS.

Referenced by SLNet::SocketLayer::GetMyIP().